package com.qxgmat.dto.admin.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserPaper;
import com.qxgmat.data.dao.entity.UserReport;
import com.qxgmat.dto.admin.extend.HomeworkPreviewExtendDto;
import com.qxgmat.dto.admin.extend.UserExtendDto;
import com.qxgmat.dto.admin.extend.UserReportExtendDto;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

@Dto(entity = UserPaper.class)
public class UserHomeworkPreviewListDto {

    private Integer id;

    private UserExtendDto user;

    private HomeworkPreviewExtendDto preview;

    private UserReportExtendDto report;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public UserExtendDto getUser() {
        return user;
    }

    public void setUser(UserExtendDto user) {
        this.user = user;
    }

    public HomeworkPreviewExtendDto getPreview() {
        return preview;
    }

    public void setPreview(HomeworkPreviewExtendDto preview) {
        this.preview = preview;
    }

    public UserReportExtendDto getReport() {
        return report;
    }

    public void setReport(UserReportExtendDto report) {
        this.report = report;
    }
}
